Bug 249935 - cannot prevent wireless connection from starting at boot
cannot prevent wireless connection from starting at boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 03:19 EDT by NILMONI DEB
Modified: 2008-06-16 21:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:59:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description NILMONI DEB 2007-07-28 03:19:54 EDT
Description of problem:
As described in bug 249932, my wireless connection does not work as expected. 
During boot, it tries to acquire IP address from the AP and fails for obvious 
reasons (see bug 249932). However, it takes at least 30-40 seconds before 
reporting a failure. In order to prevent the starting of the wireless 
connection during boot, I actually commented out the line 
in /etc/modprobe.conf ->

#alias wlan0 iwl3945

to ensure that the kernel driver is not loaded at boot. Inspite of that, the 
bootup scripts continue to load the iwl3945 kernel module (as verified 
by "lsmod") and attempt to start the wireless connection!

Version-Release number of selected component (if applicable):
wireless-tools-28-4.fc7

How reproducible:
always

Steps to Reproduce:
1. simply boot
2.
3.
  
Actual results:


Expected results:

If /etc/modprobe.conf does not have an entry for the wireless driver module, 
then that driver module should not be loaded into the kernel and therefore, no 
attempt should be made to start the wireless connection.
Comment 1 NILMONI DEB 2007-07-31 13:56:06 EDT
As a temporary workaround, I changed the ONBOOT field to "no" 
in /etc/sysconfig/network-scripts/ifcfg-wlan0 and that now avoids this whole 
problem. But the main problem still remains since the wireless driver is 
loaded even if its disabled in /etc/modprobe.conf.
Comment 2 NILMONI DEB 2007-07-31 13:57:51 EDT
(In reply to comment #1)
> But the main problem still remains since the wireless driver is 
> loaded even if its disabled in /etc/modprobe.conf.

What I meant was that if I change back ONBOOT to "yes" 
in /etc/sysconfig/network-scripts/ifcfg-wlan0, then the wireless driver is 
loaded even if its disabled in /etc/modprobe.conf.

Comment 3 Bug Zapper 2008-05-14 09:43:00 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:59:36 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.